[package]
name = "photosync"
version = "0.1.0"
authors = ["Bill Thiede <git@xinu.tv>"]
edition = "2018"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
# TODO, use https://git.z.xinu.tv/wathiede/google-api-photoslibrary and figure out auth story.
google-photoslibrary1 = { git = "https://git.z.xinu.tv/wathiede/google-api-photoslibrary" }
google_api_auth = { git = "https://github.com/google-apis-rs/generator", features = ["with-yup-oauth2"] }
hexihasher = { git = "https://git.z.xinu.tv/wathiede/hexihasher" }
lazy_static = "1.4.0"
log = "0.4.8"
regex = "1.3.4"
reqwest = { version = "0.10.1", features = ["blocking"] }
serde_json = "1.0.46"
stderrlog = "0.4.3"
structopt = "0.3.9"
yup-oauth2 = "^3.1"
warp = "0.1"
serde = { version = "1.0.104", features = ["derive"] }
image = { version = "0.23.0" } #, default-features = false, features = ["jpeg"] }
rust-embed = "5.2.0"
mime_guess = "2.0.1"
rocksdb = "0.13.0"
jpeg-decoder = "0.1.18"

[dependencies.prometheus]
features = ["process"]
version = "0.7.0"

[dev-dependencies]
tempdir = "0.3.7"
criterion = "0.3"
stb_image = "0.2.2"
load_image = "2.12.0"

[[bench]]
name = "image"
harness = false
